import os

from wafer.settings import INSTALLED_APPS

checkout = os.path.dirname(__file__)

DEBUG = True
ALLOWED_HOSTS = ['debconf20.debconf.org', '127.0.0.1']

WAFER_TALKS_OPEN = False
WAFER_REGISTRATION_OPEN = False
RECONFIRMATION = False
BURSARIES_CLOSED = True

DATABASES = {}
DATABASES['default'] = {
  'ENGINE': "django.db.backends.sqlite3",
  'NAME': "dc20.db",
  'HOST': "",
  'USER': "",
  'PASSWORD': "",
}

MEDIA_ROOT = os.path.join(checkout, 'localmedia/')

SECRET_KEY = 'qtlhXyZw1SILnvAErFHgJbgXHd8QJx01Y1nu7blr3QVG8ds5oS'

WAFER_CACHE = 'default'
CACHES = {
   'default': {
        'BACKEND': 'django.core.cache.backends.locmem.LocMemCache',
    }
}

LOGGING = {
    'version': 1,
    'disable_existing_loggers': False,
    'formatters': {
        'default': {
            'format': '%(asctime)s %(levelname)-8s %(name)-15s %(message)s',
        },
    },
    'handlers': {
        'file': {
            'class': 'logging.handlers.WatchedFileHandler',
            'filename': os.path.join(checkout, 'wafer.log'),
            'formatter': 'default',
        },
    },
    'root': {
        'handlers': ['file'],
        'level': 'INFO',
    },
    'loggers': {
        'django.request': {
            'handlers': ['file'],
            'level': 'ERROR',
            'propagate': True,
        },
    },
}

# See https://docs.djangoproject.com/en/1.9/topics/e-mail/#smtp-backend
# EMAIL_HOST = 'localhost'
# EMAIL_PORT = '25'

# Default for development: dumps all emails on the console
EMAIL_BACKEND = 'django.core.mail.backends.console.EmailBackend'

# Test site: block robots, etc.
SANDBOX = True

ISSUE_KSP_ID = True

# To test invoices, replace with real test keys
STRIPE_PUBLISHABLE_KEY = ''
STRIPE_SECRET_KEY = ''
STRIPE_ENDPOINT_SECRET = ''

import sys
if 'test' in sys.argv:
    try:
        from testsettings import *
    except ImportError:
        pass
